The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Apache 1.2 + PHP3"
Вариант для распечатки  
Пред. тема | След. тема 
Форум WEB технологии (Apache, http-серверы)
Изначальное сообщение [ Отслеживать ]

"Apache 1.2 + PHP3"  +/
Сообщение от warik email(ok) on 09-Май-11, 11:18 
Уважаемые знатоки, помогите мне подружить Apache 1.2 и PHP3. Этот набор установился стандартно при установке Red Hat 6. Вроде в конфиге апача прописано добавление и подгрузка php модуля. При открытии тестовой страницы, он мне её просто выводит как *.txt файл! В чём может быть беда? Что вам нужно для помощи мне? Говорите, всё предоставлю!
Добавлю что серв свой, и админю его через telnet.
Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Apache 1.2 + PHP3"  +/
Сообщение от sdog (ok) on 09-Май-11, 12:24 
ты, что, некрофил?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Apache 1.2 + PHP3"  +/
Сообщение от warik email(ok) on 09-Май-11, 13:21 
> ты, что, некрофил?

Не понял... о_О

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Apache 1.2 + PHP3"  +/
Сообщение от ImPressed (ok) on 09-Май-11, 13:28 
> Уважаемые знатоки, помогите мне подружить Apache 1.2 и PHP3. Этот набор установился
> стандартно при установке Red Hat 6. Вроде в конфиге апача прописано
> добавление и подгрузка php модуля. При открытии тестовой страницы, он мне
> её просто выводит как *.txt файл! В чём может быть беда?
> Что вам нужно для помощи мне? Говорите, всё предоставлю!
> Добавлю что серв свой, и админю его через telnet.

Некромант в том смысле, что трупов воскрешаете. 6-й шапке уже много лет в обед, как и апачу 1.2 ч 3-им пыхпыхом. Или вы Honeypot хотите на дырявом софте сделать для ловли киддисов?
Возьмите лучше CentOS 5.6 там софт хотя-бы свежий Apache 2.2+PHP5. И дружить ни чего ни с чем не надо, оно из коробки все подружено. А покойницу (RH6)  закопайте обратно, ей уже скоро 12 лет с момента выпуска.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

4. "Apache 1.2 + PHP3"  +/
Сообщение от warik email(ok) on 09-Май-11, 14:03 
>[оверквотинг удален]
>> её просто выводит как *.txt файл! В чём может быть беда?
>> Что вам нужно для помощи мне? Говорите, всё предоставлю!
>> Добавлю что серв свой, и админю его через telnet.
> Некромант в том смысле, что трупов воскрешаете. 6-й шапке уже много лет
> в обед, как и апачу 1.2 ч 3-им пыхпыхом. Или вы
> Honeypot хотите на дырявом софте сделать для ловли киддисов?
> Возьмите лучше CentOS 5.6 там софт хотя-бы свежий Apache 2.2+PHP5. И дружить
> ни чего ни с чем не надо, оно из коробки все
> подружено. А покойницу (RH6)  закопайте обратно, ей уже скоро 12
> лет с момента выпуска.

Люблю раритеты. Просто интересно. Недавно начал познавать Linux, и думаю чем глубже копну, тем лучше. Да и машинка у меня слабовата для "цента"! Так а по теме есть что сказать?

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

5. "Apache 1.2 + PHP3"  +/
Сообщение от PavelR (??) on 09-Май-11, 15:24 
>[оверквотинг удален]
>> Некромант в том смысле, что трупов воскрешаете. 6-й шапке уже много лет
>> в обед, как и апачу 1.2 ч 3-им пыхпыхом. Или вы
>> Honeypot хотите на дырявом софте сделать для ловли киддисов?
>> Возьмите лучше CentOS 5.6 там софт хотя-бы свежий Apache 2.2+PHP5. И дружить
>> ни чего ни с чем не надо, оно из коробки все
>> подружено. А покойницу (RH6)  закопайте обратно, ей уже скоро 12
>> лет с момента выпуска.
> Люблю раритеты. Просто интересно. Недавно начал познавать Linux, и думаю чем глубже
> копну, тем лучше. Да и машинка у меня слабовата для "цента"!
> Так а по теме есть что сказать?

Начал познавать - познавай.

Машинка слабовата ? Pentium-I / 16 Mb RAM ?

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Apache 1.2 + PHP3"  +/
Сообщение от warik email(ok) on 09-Май-11, 16:01 
>[оверквотинг удален]
>>> Honeypot хотите на дырявом софте сделать для ловли киддисов?
>>> Возьмите лучше CentOS 5.6 там софт хотя-бы свежий Apache 2.2+PHP5. И дружить
>>> ни чего ни с чем не надо, оно из коробки все
>>> подружено. А покойницу (RH6)  закопайте обратно, ей уже скоро 12
>>> лет с момента выпуска.
>> Люблю раритеты. Просто интересно. Недавно начал познавать Linux, и думаю чем глубже
>> копну, тем лучше. Да и машинка у меня слабовата для "цента"!
>> Так а по теме есть что сказать?
> Начал познавать - познавай.
> Машинка слабовата ? Pentium-I / 16 Mb RAM ?

Да вот и познаю. Да машинка такая.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

7. "Apache 1.2 + PHP3"  +/
Сообщение от sdog (ok) on 09-Май-11, 19:52 
что-то такое в конфигре есть?
<IfModule mod_php5.c>
        AddHandler application/x-httpd-php .php4
        AddHandler application/x-httpd-php .php5
        AddHandler application/x-httpd-php .php
        AddHandler application/x-httpd-php-source .php4s
        AddHandler application/x-httpd-php-source .php5s
        AddHandler application/x-httpd-php-source .phps
        DirectoryIndex index.php4
        DirectoryIndex index.php5
        DirectoryIndex index.php
</IfModule>


ЗЫ: интересно а что за диск, на тачке? долгоиграющий какой-то, или тачку на складе накопал?

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

8. "Apache 1.2 + PHP3"  +/
Сообщение от XoRe (ok) on 10-Май-11, 15:14 
>[оверквотинг удален]
>>>> Возьмите лучше CentOS 5.6 там софт хотя-бы свежий Apache 2.2+PHP5. И дружить
>>>> ни чего ни с чем не надо, оно из коробки все
>>>> подружено. А покойницу (RH6)  закопайте обратно, ей уже скоро 12
>>>> лет с момента выпуска.
>>> Люблю раритеты. Просто интересно. Недавно начал познавать Linux, и думаю чем глубже
>>> копну, тем лучше. Да и машинка у меня слабовата для "цента"!
>>> Так а по теме есть что сказать?
>> Начал познавать - познавай.
>> Машинка слабовата ? Pentium-I / 16 Mb RAM ?
> Да вот и познаю. Да машинка такая.

У Linux сложность настройки все уменьшается и уменьшается.
Поэтому древние дистрибутивы сложнее в настройке, чем современные.
Поэтому рекомендую начать познание с современных дистрибутивов.
Поймете, как оно "в целом" делается.
И тогда можно двигаться назад во времени, осваивая все более сложные приемы.
Честно говоря, старые дистрибутивы  - это много бессонных ночей (и матов) в обмен на опыт, который сейчас вряд ли вам понадобится.

Если все же хотите браться с самого сложного, то рекомендую взять хотя бы apache 1.3 и php 4.
Это ещё можно считать поддерживаемыми версиями.
По ним вы найдете доки быстрее и понятнее, чем по apache 1.2 и php3.
Если их нет в репозитории, то лучше скачать исходники, и по старинке "./configure; make; make install".
Сэкономите кучу времени.

P.S.
Кстати, если нет нормальной машинки для тестов, могу посоветовать поставить виртуалку на свою машину.
Ресурсов хватит на последний centos/debian/suse/ubuntu.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру